class Primeauth
  require 'http'
  def self.createAuth(email,mobile,ip,token,secret,client_id,comments)
      response = HTTP.post("https://api.primeauth.com/api/v1/create/authreq.json",:form => {
      :email_id => email,
      :mobile => mobile,
      :client_id => client_id,
      :ip_addr => ip,
      :token => token,
      :secret => secret,
      :comments => comments
      })
      return response.body
  end
  def self.createWhiteLabelAuth(email,mobile,ip,token,secret,client_id,comments,whitelabel_token,whitelabel_secret)
    response = HTTP.post("https://api.primeauth.com/api/v1/create/authreq.json",:form => {
    :email_id => email,
    :mobile => mobile,
    :client_id => client_id,
    :ip_addr => ip,
    :token => token,
    :secret => secret,
    :comments => comments,
    :whitelabel_token => whitelabel_token,
    :whitelabel_secret => whitelabel_secret
    })
    return response.body
  end

  def self.checkAuth(auth_id,token,secret)
      response = HTTP.post("https://api.primeauth.com/api/v1/check/id.json",:form => {
      :id => auth_id,
      :token => token,
      :secret => secret
      })
      return response.body
  end
  def self.checkWhiteLabelAuth(auth_id,token,secret,whitelabel_token,whitelabel_secret)
    response = HTTP.post("https://api.primeauth.com/api/v1/check/id.json",:form => {
    :id => auth_id,
    :token => token,
    :secret => secret,
    :whitelabel_token => whitelabel_token,
    :whitelabel_secret => whitelabel_secret
    })
    return response.body
  end
  def self.sendMagicLink(email,token,secret,client_id)
    response = HTTP.post("https://api.primeauth.com/api/v1/mls/create.json",:form => {
    :client_id => client_id,
    :token => token,
    :secret => secret,
    :email => email
    })
    return response.body
  end
end
